=== debian/changelog ===
satan (1.1.4exp-1) unstable; urgency=low

  * "New" upstream release, I found a new location of the 1.1.4exp version
    after receiving an automated reply from satan@fish.com
  * Re-applied my patches to the source code
  * Removed scan-data results from the source package (were only useful
  to me really)
  * Clarified the note on paths.pl configuration file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 17 Jan 2003 18:09:36 +0100

satan (1.1.1a-4) unstable; urgency=low

  * Added a 0' note on the README.Debian to make clear why SATAN is 
    provided in Debian
  * Slight change in SATAN's Makefile to prevent using tmp/ on installation
    (not used by Debian for installation but it's cleaner this way)
  * Removed cruft from the end of the changelog file
  
 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 10 Dec 2002 15:46:17 +0100

satan (1.1.1a-3) unstable; urgency=low

  * Added rusers to Suggestions (Closes: #130694)
  * Fixed spelling error (Closes: #125334)
  * Added manpage symlink(Closes: #99557)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 27 Jan 2002 19:54:47 +0100

satan (1.1.1a-2) unstable; urgency=low

  * Added Build-Depends (Closes: #82633)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  7 Jul 2001 01:28:22 +0200

satan (1.1.1a-1) unstable; urgency=low

  * Fictious "new" version in order to fix bug (Closes: #84742)
  * Added manpages (Closes: #62503, #62504)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  2 Jul 2001 09:55:34 +0200

satan (1.1.1-20) unstable; urgency=low

  * Added Build-Depends (Closes: #82633)
  * Uploaded original tar in gzip format (Closes: #84742)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 24 Jan 2001 08:39:31 +0100

satan (1.1.1-19) frozen unstable; urgency=low

  * Changed the postinst, install-docs did not find the description (Closes: #73659)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 30 Dec 2000 02:27:05 +0100

satan (1.1.1-18) frozen unstable; urgency=low

  * Fixed lintian errors
  * Added sharutils as recomended package (provides uudecode. Closes: #56642
  * Now *really* fixed closed bug #61553

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 10 Apr 2000 18:21:24 +0200

satan (1.1.1-17) frozen unstable; urgency=low

  * changed the reconfig in order to run the chmod now correctly 
  (Fixes 61766). This was a side effect of the removal of bugs in
  version 1.1.1-16 (does not cause more than a naughty error message)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  4 Apr 2000 17:53:31 +0200

satan (1.1.1-16) frozen unstable; urgency=low

  * Changed to set PERL as /usr/bin/perl so it uses Debian's alternative
  system. The reconfig script  check for Perl has been commented out 
  (fixes 61558, 61557)
  * Removed old files (fixes 61553)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  2 Apr 2000 13:51:51 +0200

satan (1.1.1-15) unstable; urgency=low

  * Added information in README.Debian on how to make netscape run as a root
  user (not recommended but posible) (fixes 56442)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 23 Feb 2000 19:25:29 +0100

satan (1.1.1-14) unstable; urgency=low

  * Bumped up version just to make an install on unstable (fixes #5709)
   since I forgot to make it upload to frozen too

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 22 Feb 2000 19:47:39 +0100

satan (1.1.1-13) frozen; urgency=low

  * Fixed symlink that did not point to correct directory in
  /usr/shar/doc/satan/html (Closes 55134)
  * Now suggests nfs-common in order to provide showmount binary (Closes 4291)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 21 Jan 2000 19:58:47 +0100

satan (1.1.1-12) unstable; urgency=low

  * Fixed bug in satan-suidconfig that did not allow it to work.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  7 Jan 2000 18:42:46 +0100

satan (1.1.1-11) unstable; urgency=low

  * Fixed error in perl code (fixes bug #45350 and #54006)
  * Fixed regular expression to check DISPLAY (fixes #45350)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  4 Jan 2000 17:31:32 +0100

satan (1.1.1-10) unstable; urgency=low

  * Fixed typo that make satan wrapper been overwritten by  satan-suidconfig (fixes bug #42091)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 29 Jul 1999 01:18:53 +0200

satan (1.1.1-9) unstable; urgency=low

  * Changed file bin/rex.satan in order to fix /tmp exploit (reported by meridian <me@tha.net>

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 27 Jul 1999 13:51:41 +0200

satan (1.1.1-8) unstable; urgency=low

  * Now depends on perl5 (fixes bug #41474)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 20 Jul 1999 21:31:09 +0200

satan (1.1.1-7) unstable; urgency=low

  * Modified SATAN so it will work with ssh connections (closes #37787)
  * Modified (little mistake) so README.Debian is available
  * Added satan-suidconf so users can set it easily setuid (taken from gnuplot)
  * Fixed link to html documentation

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jun 1999 00:31:09 +0200

satan (1.1.1-6) unstable; urgency=low

  * SATAN now suggests: nis instead of recommends it (closes #39536)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 15 Jun 1999 00:14:39 +0200

satan (1.1.1-5) unstable; urgency=low

  * Changed the documentation and added it to the doc-base system
  * SATAN config does not "yell" anymore when NIS is not available
  and nis is now a recommended package (closes #36507).
  * Added warning in case we run SATAN as user different from root.
  * Modified html.pl in order to send Content-type info (closes #36508)
  * Moved html/ and results/ to /var/lib/satan, and added preinst to
  do this cleanly for previous versions and not lose old results (closes #36544)

