=== debian/control ===
Source: satan
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Section: non-free/admin
Priority: optional
Build-Depends: debhelper
Standards-Version: 3.5.6

Package: satan
Architecture: any
Section: non-free/admin
Priority: optional
Depends: perl5, www-browser, ${shlibs:Depends}
Suggests: nis, nfs-common, sharutils, rusers
Description: Security Auditing Tool for Analysing Networks
 This should be a powerful tool for analyzing networks for vulnerabilities
 created for sysadmins that cannot keep a constant look at bugtraq,
 rootshell and the like.
 .
 SATAN is rather out of date, but serves as a good demonstration of
 what auditing tools need to do. Check out nessus if you want an
 up to date audit tool.
